import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ImageConfig extends TerraformMetaArguments {
    readonly keepLocally?: boolean;
    readonly name: string;
    readonly pullTrigger?: string;
    readonly pullTriggers?: string[];
}
export declare class Image extends TerraformResource {
    constructor(scope: Construct, id: string, config: ImageConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _keepLocally?;
    get keepLocally(): boolean | undefined;
    set keepLocally(value: boolean | undefined);
    get latest(): string;
    private _name;
    get name(): string;
    set name(value: string);
    private _pullTrigger?;
    get pullTrigger(): string | undefined;
    set pullTrigger(value: string | undefined);
    private _pullTriggers?;
    get pullTriggers(): string[] | undefined;
    set pullTriggers(value: string[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
